# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{concurrent-ruby}
  s.version = "0.9.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jerry D'Antonio", "The Ruby Concurrency Team"]
  s.date = %q{2015-07-10}
  s.description = %q{Modern concurrency tools including agents, futures, promises, thread pools, actors, supervisors, and more.
Inspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency patterns.
}
  s.email = ["jerry.dantonio@gmail.com", "concurrent-ruby@googlegroups.com"]
  s.extra_rdoc_files = ["README.md", "LICENSE.txt", "CHANGELOG.md"]
  s.files = ["CHANGELOG.md", "LICENSE.txt", "README.md", "lib/concurrent.rb", "lib/concurrent/async.rb", "lib/concurrent/atom.rb", "lib/concurrent/atomic/atomic_boolean.rb", "lib/concurrent/atomic/atomic_fixnum.rb", "lib/concurrent/atomic/atomic_reference.rb", "lib/concurrent/atomic/condition.rb", "lib/concurrent/atomic/count_down_latch.rb", "lib/concurrent/atomic/cyclic_barrier.rb", "lib/concurrent/atomic/event.rb", "lib/concurrent/atomic/read_write_lock.rb", "lib/concurrent/atomic/semaphore.rb", "lib/concurrent/atomic/thread_local_var.rb", "lib/concurrent/atomic/thread_local_var/weak_key_map.rb", "lib/concurrent/atomic_reference/concurrent_update_error.rb", "lib/concurrent/atomic_reference/direct_update.rb", "lib/concurrent/atomic_reference/jruby.rb", "lib/concurrent/atomic_reference/mutex_atomic.rb", "lib/concurrent/atomic_reference/numeric_cas_wrapper.rb", "lib/concurrent/atomic_reference/rbx.rb", "lib/concurrent/atomic_reference/ruby.rb", "lib/concurrent/atomics.rb", "lib/concurrent/collection/copy_on_notify_observer_set.rb", "lib/concurrent/collection/copy_on_write_observer_set.rb", "lib/concurrent/collection/priority_queue.rb", "lib/concurrent/concern/deprecation.rb", "lib/concurrent/concern/dereferenceable.rb", "lib/concurrent/concern/logging.rb", "lib/concurrent/concern/obligation.rb", "lib/concurrent/concern/observable.rb", "lib/concurrent/configuration.rb", "lib/concurrent/dataflow.rb", "lib/concurrent/delay.rb", "lib/concurrent/edge.rb", "lib/concurrent/errors.rb", "lib/concurrent/exchanger.rb", "lib/concurrent/executor/cached_thread_pool.rb", "lib/concurrent/executor/executor.rb", "lib/concurrent/executor/executor_service.rb", "lib/concurrent/executor/fixed_thread_pool.rb", "lib/concurrent/executor/immediate_executor.rb", "lib/concurrent/executor/indirect_immediate_executor.rb", "lib/concurrent/executor/java_single_thread_executor.rb", "lib/concurrent/executor/java_thread_pool_executor.rb", "lib/concurrent/executor/ruby_single_thread_executor.rb", "lib/concurrent/executor/ruby_thread_pool_executor.rb", "lib/concurrent/executor/safe_task_executor.rb", "lib/concurrent/executor/serialized_execution.rb", "lib/concurrent/executor/simple_executor_service.rb", "lib/concurrent/executor/single_thread_executor.rb", "lib/concurrent/executor/thread_pool_executor.rb", "lib/concurrent/executor/timer_set.rb", "lib/concurrent/executors.rb", "lib/concurrent/future.rb", "lib/concurrent/immutable_struct.rb", "lib/concurrent/ivar.rb", "lib/concurrent/lazy_register.rb", "lib/concurrent/maybe.rb", "lib/concurrent/mutable_struct.rb", "lib/concurrent/mvar.rb", "lib/concurrent/promise.rb", "lib/concurrent/scheduled_task.rb", "lib/concurrent/settable_struct.rb", "lib/concurrent/synchronization.rb", "lib/concurrent/synchronization/abstract_object.rb", "lib/concurrent/synchronization/abstract_struct.rb", "lib/concurrent/synchronization/condition.rb", "lib/concurrent/synchronization/java_object.rb", "lib/concurrent/synchronization/lock.rb", "lib/concurrent/synchronization/monitor_object.rb", "lib/concurrent/synchronization/mutex_object.rb", "lib/concurrent/synchronization/object.rb", "lib/concurrent/synchronization/rbx_object.rb", "lib/concurrent/timer_task.rb", "lib/concurrent/tvar.rb", "lib/concurrent/utilities.rb", "lib/concurrent/utility/at_exit.rb", "lib/concurrent/utility/engine.rb", "lib/concurrent/utility/monotonic_time.rb", "lib/concurrent/utility/native_extension_loader.rb", "lib/concurrent/utility/processor_counter.rb", "lib/concurrent/utility/timeout.rb", "lib/concurrent/utility/timer.rb", "lib/concurrent/version.rb", "lib/concurrent_ruby.rb"]
  s.homepage = %q{http://www.concurrent-ruby.com}
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Modern concurrency tools for Ruby. Inspired by Erlang, Clojure, Scala, Haskell, F#, C#, Java, and classic concurrency patterns.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
